package de.intevation.flys.client.shared.model;

import java.io.Serializable;


/**
 * This interface describes an output mode of an artifact.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface OutputMode extends Serializable {

    /**
     * Retrieves the name of this mode.
     *
     * @return the name of this mode.
     */
    String getName();


    /**
     * Retrieves the description of this mode.
     *
     * @return the description of this mode.
     */
    String getDescription();


    /**
     * Retrieves the mime-type of this mode.
     *
     *
     * @return the mime-type of this mode.
     */
    String getMimeType();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
